STRUCT TEMPLATE(3)

NAME
boost::accumulators::impl::median_impl - Median estimation based on the [IMAGE][2] [$P^2$] quantile estimator.

SYNOPSIS

// In header: <boost/accumulators/statistics/median.hpp>
template<typename Sample>
struct median_impl {
  // types
  typedef numeric::functional::average< Sample, std::size_t >::result_type result_type;
  // construct/copy/destruct
  median_impl(dont_care);
  // public member functions
  template<typename Args> result_type result(Args const &) const;
};

DESCRIPTION

The [1][IMAGE][2] [$P^2$] algorithm is invoked with a quantile probability of 0.5.

  median_impl public construct/copy/destruct

    1.

    median_impl(dont_care);

  median_impl public member functions

    1.

    template<typename Args> result_type result(Args const & args) const;